<div class="row mb-0 align-items-center justify-content-between mx-0">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <!-- <h2>{{'ALL_DOCUMENTS' | translate}}</h2> -->
      <h2>{{currentCatName}}</h2>
    </div>
  </div>
  <div class="col-md-auto col-sm-auto">
    <h4 class="widget-title">
      <button *hasClaim="'all_documents_create_document'" class="btn btn-success2 btn-sm m-right-10"
        [routerLink]="[router.url+'/add']">
        <i class="las la-plus"></i>
        {{'ADD_DOCUMENT' | translate}}
      </button>
    </h4>
  </div>
</div>
<div class="">
  <div class="table-container">
    <div class="row my-2 mx-2 filter-container">
      <div class="col-sm-12 col-md-4 col-lg-4 col-xl-2 px-2" *ngIf="currentCatUrlActive == 'company-report' || currentCatUrlActive == 'sector-report' || currentCatUrlActive == 'strategy-report' || currentCatUrlActive == 'macroeconomic-report' || currentCatUrlActive == 'fixed-income-research'">
        <mat-form-field appearance="outline" class="cust-form-filter w-100">
          <mat-select [(value)]="sectorVal" placeholder="{{ currentCatUrlActive == 'company-report'||currentCatUrlActive == 'sector-report' ? ('SELECT_SECTOR'|translate) : ('SELECT_REPORT_TYPE'|translate)}}" (selectionChange)="onSectorChange($event)">
            <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
            <mat-option [value]="currentCatId"><b>{{currentCatName}}</b></mat-option>
            <mat-option *ngFor="let sector of listSectors" [value]="sector.id">
              <div class="country-item pl-4" >
                {{sector.name}}
              </div>
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="col-sm-12 col-md-4 col-lg-4 col-xl-2 px-2" *ngIf="currentCatUrlActive == 'company-report' || currentCatUrlActive == 'sector-report'">
        <mat-form-field appearance="outline" class="cust-form-filter w-100">
          <mat-select [(value)]="subSectorVal" placeholder="{{'SELECT_SUB_SECTOR' | translate}}" (selectionChange)="onSubSectorChange($event)">
            <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
            <mat-option *ngFor="let subSector of listSubSectors" [value]="subSector.id">
              <div class="country-item">
                {{subSector.name}}
              </div>
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="col-sm-12 col-md-4 col-lg-4 col-xl-2 px-2" *ngIf="currentCatUrlActive == 'company-report'">
        <mat-form-field appearance="outline" class="cust-form-filter w-100">
          <mat-select [(value)]="companyVal" placeholder="{{'SELECT_COMPANY' | translate}}" (selectionChange)="onCompanyChange($event)">
            <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
            <mat-option *ngFor="let company of listCompanies" [value]="company.id">
              <div class="country-item">
                {{company.name}}
              </div>
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="col-sm-12 col-md-6 col-lg-4 col-xl-3 px-2">
        <mat-form-field appearance="outline" class="w-100 cust-range-picker cust-form-filter">
          <mat-label>{{'ENTER_DATE_RANGE' | translate}}</mat-label>
          <mat-date-range-input [formGroup]="rangeDatePicker" [rangePicker]="rangePicker1" class="d-flex align-items-center">
            <input matStartDate formControlName="start">
            <input matEndDate formControlName="end">
          </mat-date-range-input>
          <mat-datepicker-toggle matIconSuffix [for]="rangePicker1"></mat-datepicker-toggle>
          <mat-date-range-picker #rangePicker1>
            <mat-date-range-picker-actions>
              <button mat-button matDateRangePickerCancel>{{'CANCEL' | translate}}</button>
              <button mat-raised-button color="warn" matDateRangePickerCancel (click)="onPeriodDateReset()">{{'RESET' | translate}}</button>
              <button mat-raised-button color="primary" matDateRangePickerApply (click)="onPeriodDateSubmit()">{{'APPLY' | translate}}</button>
            </mat-date-range-picker-actions>
          </mat-date-range-picker>
        </mat-form-field>
      </div>
      <div class="col-sm-12 col-md-6 col-lg-4 col-xl-3 px-2">
        <mat-form-field appearance="outline" class="form-control" class="w-100">
          <mat-select [(value)]="selectedAnalyst" placeholder="{{'SEARCH_DOCUMENT_BY_ANALYST' | translate}}" (selectionChange)="onAnalystChange($event)">
            <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
            <mat-option *ngFor="let analyst of allAnalyst" [value]="analyst.name">{{analyst.name}}</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>

    <mat-accordion class="filter-container-accordion mx-3">
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{ 'FILTER_CONTAINER' | translate }}
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="row mx-1">
          <div class="col-12 px-2" *ngIf="currentCatUrlActive == 'company-report' || currentCatUrlActive == 'sector-report' || currentCatUrlActive == 'strategy-report' || currentCatUrlActive == 'macroeconomic-report' || currentCatUrlActive == 'fixed-income-research'">
            <mat-form-field appearance="outline" class="cust-form-filter w-100">
              <mat-select [(value)]="sectorVal" placeholder="{{ currentCatUrlActive == 'company-report'||currentCatUrlActive == 'sector-report' ? ('SELECT_SECTOR'|translate) : ('SELECT_REPORT_TYPE'|translate)}}" (selectionChange)="onSectorChange($event)">
                <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
                <mat-option [value]="currentCatId"><b>{{currentCatName}}</b></mat-option>
                <mat-option *ngFor="let sector of listSectors" [value]="sector.id">
                  <div class="country-item pl-4" >
                    {{sector.name}}
                  </div>
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="col-12 px-2" *ngIf="currentCatUrlActive == 'company-report' || currentCatUrlActive == 'sector-report'">
            <mat-form-field appearance="outline" class="cust-form-filter w-100">
              <mat-select [(value)]="subSectorVal" placeholder="{{'SELECT_SUB_SECTOR' | translate}}" (selectionChange)="onSubSectorChange($event)">
                <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
                <mat-option *ngFor="let subSector of listSubSectors" [value]="subSector.id">
                  <div class="country-item">
                    {{subSector.name}}
                  </div>
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="col-12 px-2" *ngIf="currentCatUrlActive == 'company-report'">
            <mat-form-field appearance="outline" class="cust-form-filter w-100">
              <mat-select [(value)]="companyVal" placeholder="{{'SELECT_COMPANY' | translate}}" (selectionChange)="onCompanyChange($event)">
                <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
                <mat-option *ngFor="let company of listCompanies" [value]="company.id">
                  <div class="country-item">
                    {{company.name}}
                  </div>
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="col-12 px-2">
            <mat-form-field appearance="outline" class="w-100 cust-range-picker cust-form-filter">
              <mat-label>{{'ENTER_DATE_RANGE' | translate}}</mat-label>
              <mat-date-range-input [formGroup]="rangeDatePicker" [rangePicker]="rangePicker2" class="d-flex align-items-center">
                <input matStartDate formControlName="start">
                <input matEndDate formControlName="end">
              </mat-date-range-input>
              <mat-datepicker-toggle matIconSuffix [for]="rangePicker2"></mat-datepicker-toggle>
              <mat-date-range-picker #rangePicker2>
                <mat-date-range-picker-actions>
                  <button mat-button matDateRangePickerCancel>{{'CANCEL' | translate}}</button>
                  <button mat-raised-button color="warn" matDateRangePickerCancel (click)="onPeriodDateReset()">{{'RESET' | translate}}</button>
                  <button mat-raised-button color="primary" matDateRangePickerApply (click)="onPeriodDateSubmit()">{{'APPLY' | translate}}</button>
                </mat-date-range-picker-actions>
              </mat-date-range-picker>
            </mat-form-field>
          </div>
          <div class="col-12 px-2">
            <mat-form-field appearance="outline" class="form-control" class="w-100">
              <mat-select [(value)]="selectedAnalyst" placeholder="{{'SEARCH_DOCUMENT_BY_ANALYST' | translate}}" (selectionChange)="onAnalystChange($event)">
                <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
                <mat-option *ngFor="let analyst of allAnalyst" [value]="analyst.name">{{analyst.name}}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
    <table mat-table [dataSource]="dataSource" class="table" matSort matSortActive="createdDate"
      matSortDirection="desc">
      <ng-container matColumnDef="datas">
        <td mat-cell *matCellDef="let document" class="px-3 pt-3 pb-2 doc-info-container" style="white-space: normal; overflow-wrap: anywhere;">
          <div class="py-2 px-3 cus-box-doc-datas">
            <div class="d-flex flex-column">
              <div class="p-1 d-flex justify-content-between cus-line-separator">
                <h3 class="m-0 text-blue-primary" style="max-width: 65%;">
                  <b>{{document.categoryName}}</b>
                </h3>
                <p class="text-blue-primary mat-small"><b>{{document?.createdDate | date:"dd/MM/yyyy"}}</b></p>
              </div>
              <div class="p-1 pt-2">
                <b class="text-blue-primary">
                  {{document.name}}
                </b>
              </div>
              <p *ngIf="document.description != null && document.description != ''" class="px-2 py-0 mb-1" style="white-space: pre-wrap;" [innerHTML]="document.description">
              </p>
              <div class="p-2 d-flex justify-content-between">
                <p class="my-auto text-blue-primary mat-small" style="max-width: 75%;"><b>{{document.analyst}}</b></p>
                <div *ngIf="isUserClient">
                  <button class="btn btn-sm btn-primary d-flex align-items-center ml-2" (click)="onDocumentView(document)" type="button">
                    <mat-icon class="small text-white d-flex align-items-center justify-content-center icon-view-doc">visibility</mat-icon>
                    <span>{{'VIEW' | translate}}</span>
                  </button>
                </div>
                <div *ngIf="!isUserClient">
                  <button class="btn btn-sm btn-primary small mat-small" [matMenuTriggerFor]="menu" aria-label="Action">
                    Action
                  </button>
                  <mat-menu #menu="matMenu" >
                    <button *hasClaim="'all_documents_edit_document'" mat-menu-item class="btn btn-light btn-sm"
                      (click)="editDocument(document)" type="button">
                      <mat-icon>edit</mat-icon>
                      {{'EDIT' | translate}}
                    </button>
                    <button *hasClaim="'all_documents_share_document'" mat-menu-item class="btn btn-light btn-sm"
                      (click)="manageDocumentPermission(document)" type="button">
                      <mat-icon>share</mat-icon>
                      {{'SHARE'| translate}}
                    </button>
                    <button class="btn btn-light btn-sm" mat-menu-item (click)="onDocumentView(document)" type="button">
                      <mat-icon>visibility</mat-icon>
                      {{'VIEW' | translate}}
                    </button>
                    <button *hasClaim="'all_documents_edit_document'" mat-menu-item class="btn btn-light btn-sm" (click)="uploadNewVersion(document)" type="button">
                      <mat-icon>upload</mat-icon>
                      {{'UPLOAD_NEW_VERSION_FILE' | translate}}
                    </button>
                    <button *hasClaim="'all_documents_edit_document'" mat-menu-item (click)="onVersionHistoryClick(document)">
                      <mat-icon> history</mat-icon>
                      Version History
                    </button>
                    <button *hasClaim="'all_documents_edit_document'" class="btn btn-light btn-sm" mat-menu-item (click)="onGetLinkClick(document)" type="button">
                      <mat-icon>link</mat-icon>
                      {{'GET_DOC_VIEW_LINK' | translate}}
                    </button>
                    <button *hasClaim="'all_documents_delete_document'" mat-menu-item class="btn btn-light btn-sm"
                      (click)="deleteDocument(document)" type="button">
                      <mat-icon>delete</mat-icon>
                      {{'DELETE' | translate}}
                    </button>
                  </mat-menu>
                </div>
              </div>
            </div>
          </div>

        </td>
      </ng-container>
      <tr mat-row *matRowDef="let row; columns: displayedColumns2;"></tr>
    </table>
    <mat-paginator [length]="documentResource.totalCount" [pageSize]="documentResource.pageSize"
      [pageSizeOptions]="[5, 10, 20, 30]"></mat-paginator>
  </div>
</div>
<div class="loading-shade" *ngIf="dataSource.loading$ | async">
  <mat-spinner></mat-spinner>
</div>
